Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language (extended) | Libraries | Comparison | Changes

## void

The void keyword is used only in function declarations. It indicates that the function is expected to return no information to the function from which it was called.

#### Example:

    // actions are performed in the functions "setup" and "loop"
    // but  no information is reported to the larger program

    void setup()
    {
      // ...
    }

    void loop()
    {
      // ...
    }

#### See also

function declaration

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Edit Page | Page History | Printable View | All Recent Site Changes